name: Build LaTex Document
run-name: ${{ gitea-actor }} is building LaTeX documents
on:
  push:
    branches:
      - 'main'

jobs:
  Build:
    runs-on: latex-project-amd64
    steps:
      - name: Checking out the repository
        uses: actions/checkout@v6
      - name: Building the PDF document
        run: |
          waf distclean
          waf configure
          waf build
      - name: Release
        uses: akkuman/gitea-release-action@v1
        with:
          files: |-
            build/*.pdf
          name: Release ${{ gitea.run_number }}.${{ gitea.run_attempt }}
          tag_name: Release_${{ gitea.run_number }}.${{ gitea.run_attempt }}
